<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

if($_GET['orden']) $orden=$_GET['orden'];
else $orden=$_SESSION['ordenPicking']['Orden'];

$peticion='SGAPicking#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEORDENPICKING#'.$_SESSION['almacen'].';'.$orden;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
$_SESSION['ordenPicking']=$resultado[0];
	
if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$ordenesProcedencia=arreglaArrayPXMobileProxiumResult($_SESSION['ordenPicking']['OrdenesPrecintadoEtiquetadoDetalle']);
$cuantasOrdenes=count($ordenesProcedencia);

$hayPreparado=false;

?>
<h2>Orden de Picking Nº <?php echo $_SESSION['ordenPicking']['Orden']; ?></h2>
<table class="tablaFormateada" style="margin:0 auto">
    <tr>
        <?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
        <th>Nº Orden</th>
        <th>Fecha Orden</th>
        <th>Tipo</th>
        <th>Estado</th>
    </tr>
    <tr>
    	<?php if(count($_SESSION['empresas'])>1) { ?><td valign="top"><?php echo $_SESSION['ordenPicking']['Empresa']; ?></td><?php } ?>
		<td valign="top"><?php echo $_SESSION['ordenPicking']['Orden']; ?></td>
		<td valign="top"><?php echo fechaNacional($_SESSION['ordenPicking']['Fecha']); ?></td>
		<td valign="top"><?php echo $_SESSION['ordenPicking']['TipoOrdenes']; ?></td>
		<td valign="top"><?php echo $_SESSION['ordenPicking']['EstadoUsuario']; ?></td>
	</tr>
</table>

<?php if($_SESSION['gestion']!='PUB') { ?>

<br />
<table class="tablaFormateada" style="margin:0 auto">
    <tr>
        <th>Orden Procedencia</th>
        <th>Cliente</th>
        <th>Destino</th>
        <th>Observaciones</th>
    </tr>
    <?php
	foreach($ordenesProcedencia as $procedencia) {
		?>
		<tr>
        	<td valign="middle"><?php echo $procedencia['NumeroOrden']; ?></td>
            <td valign="middle"><?php echo $procedencia['NombreCliente']; ?></td>
            <td valign="middle"><?php echo $procedencia['NombreDestino']; ?></td>
		    <td valign="middle"><?php if($procedencia['ObservacionesPedido']) { ?><img src="<?php echo DIR_IMAGENES; ?>/iconos/informacion.png" alt="Observaciones" style="width:40px;height:40px" class="botonObservaciones clicable" observaciones="<?php echo $procedencia['ObservacionesPedido']; ?>" /><?php } ?></td>
		</tr>
		<?php
	}
	?>
</table>

<?php } ?>

<?php if($_SESSION['ordenPicking']['EstadoUsuario']=='Iniciada') { ?>
<p>Esta Orden de Picking está en curso.</p>
<?php } ?>

<?php 
$productos=arreglaArrayPXMobileProxiumResult($_SESSION['ordenPicking']['Productos']);

if(count($productos)>0) {
?>
<h3>Productos a Preparar</h3>
<table class="tablaFormateada anchoMaximo">
		<tr>
			<th>Iniciar</th>
			<th>Código</th>
			<th>Descripción</th>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
			<?php if($comportamiento['Activo']) { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
			<?php } ?>
			<th>Cant.</th>
			<th>Cajas</th>
			<th>Contenedor</th>
			<th width="100">Ubicación</th>
	      <th>Preparado</th>
		</tr>
         <?php
		 $contador=0;
		 
         foreach($productos as $producto) {
			 
			 $datos=$producto['Datos']['PXMobileProxiumResult'];
			 
			 ?>
			 <tr class="<?php if($producto['CantidadPropuesta']==$producto['CantidadLeida']) { ?>verde<?php } ?>">
				<td>
                <?php if($producto['CantidadLeida']<$producto['CantidadPropuesta']) { ?><input name="iniciar<?php echo $contador; ?>" type="checkbox" class="checkGrande selectorInicio" id="iniciar<?php echo $contador; ?>" Codigo="<?php echo $producto['Codigo']; ?>" Ubicacion="<?php echo $producto['Ubicacion']; ?>" Contenedor="<?php echo $producto['Contenedor']; ?>" <?php foreach($_SESSION['comportamientosGlobales'] as $comportamiento) { echo $comportamiento['NombreSQL'].'="'; foreach($datos as $dato) if($dato['Codigo']==$comportamiento['Codigo']) echo $dato['Valor']; echo '" '; } ?> NumeroEntrada="<?php echo $producto['NumEntrada']; ?>" LineaEntrada="<?php echo $producto['LineaEntrada']; ?>"/><?php } ?>
				</td>
				<td><?php echo $producto['Codigo']; ?></td>
				<td align="left"><?php echo $producto['Descripcion']; ?></td>
				<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
					<?php if($comportamiento['Activo']=='S') { ?>
                        <td>
                            <?php
                            foreach($datos as $dato) {
                                if($dato['Codigo']==$comportamiento['Codigo']) {
                                    echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
                                    break;
                                }
                            }
                            ?>                        </td>
                    <?php } ?>
                <?php } ?>
				<td align="right"><?php echo number_format($producto['CantidadPropuesta'],0,',','.'); ?></td>
				<td align="right"><?php echo number_format($producto['Cajas'],2,',','.'); ?></td>
				<td><?php echo $producto['Contenedor']; ?></td>
				<td><?php if($producto['UbicacionAlias']) echo $producto['UbicacionAlias']; else $producto['Ubicacion']; ?></td>
			    <td align="right"><?php echo number_format($producto['CantidadLeida'],0,',','.'); ?></td>
		    </tr>
			<?php
			if($producto['CantidadLeida']>0) $hayPreparado=true;
			$contador++;
        }
		?>
</table>
<?php
}
else {
	?><p>Esta orden no tiene ningún producto a preparar.</p><?php
}

if(!$hayPreparado) {
	?><p><input type="submit" name="botonAnularCompleto" id="botonAnularCompleto" value="Anular toda la orden" class="boton"/></p><?php
}
?> 
<script>
$(document).ready(function() {

	$('.botonObservaciones').on('click',function(e){
		alert($(this).attr('observaciones'));
	});
	
	$('#botonAnularCompleto').on("click",function(e){
		
		confirm('Atención: Se va a proceder a anular la Orden de Picking completamente.').done( function() {
	
			$('#popupCargando').show();
	
			$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-picking-anular.php", { orden : "<?php echo $_SESSION['ordenPicking']['Orden']; ?>" } )
				.done(function(data) {
					var resultado=data.split('#');
					if(resultado[0]==1) {
						$('#popupCargando').hide();
						alert('Error: '+resultado[1]);
					}
					else window.location='<?php echo $rutaHtml; ?>/ordenes-picking.php';
				});
		});
		
	});

	$('.selectorInicio').on("click",function(){
		valorActual=$(this).prop('checked');
		$('.selectorInicio').prop('checked',false);
		$(this).prop('checked',valorActual);
	});

	$('#botonSgteProducto').on("click",function(e){
	
		//$('#popupCargando').show();
		
		var checkedInicio=false;
		
		$('.selectorInicio').each( function(){
			if( $(this).is(":checked") ) {
				checkedInicio=true;
				
				$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-picking-producto-inicio.php" , { 'Codigo' : $(this).attr('Codigo') , 'Ubicacion' : $(this).attr('Ubicacion') , 'Contenedor' : $(this).attr('Contenedor') , 'NumeroEntrada' : $(this).attr('NumeroEntrada') , 'LineaEntrada' : $(this).attr('LineaEntrada') <?php foreach($_SESSION['comportamientosGlobales'] as $comportamiento) { echo " , '".$comportamiento['NombreSQL']."' : $(this).attr('".$comportamiento['NombreSQL']."')"; } ?> } )
				.done( function(){
					
					console.log("<?php print_r($_SESSION['parametros']); ?>");
				
					<?php if($_SESSION['ordenPicking']['EstadoUsuario']=='Iniciada') { ?>
					window.location='<?php echo $rutaHtml; ?>/orden-picking-proceso.php?inicio=si';
					<?php } else { ?>
					$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-picking-iniciar.php" )
						.done(function(data) {
							var resultado=data.split('#');
							if(resultado[0]==1) {
								$('#popupCargando').hide();
								alert('Error: '+resultado[1]);
							}
							else window.location='<?php echo $rutaHtml; ?>/orden-picking-proceso.php?inicio=si';
					});
					<?php } ?>
				
				});
			}
		});
	
		if(!checkedInicio) {
		
			<?php if($_SESSION['ordenPicking']['EstadoUsuario']=='Iniciada') { ?>
				window.location='<?php echo $rutaHtml; ?>/orden-picking-proceso.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>';
			<?php } else { ?>
				$('#popupCargando').show();
				$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-picking-iniciar.php" )
					.done(function(data) {
						var resultado=data.split('#');
						if(resultado[0]==1) {
							$('#popupCargando').hide();
							alert('Error: '+resultado[1]);
						}
						else window.location='<?php echo $rutaHtml; ?>/orden-picking-proceso.php';
				});
			<?php } ?>
		
		}
		
	});

});
</script>
<?php
include($rutaPhp.$rutaHtml.'/maqueta/menu-orden-picking.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>